#!/usr/bin/env python
# -*- coding: utf-8 -*-

# from distutils.core import setup
from setuptools import setup, find_packages
import imp

adisalib = imp.load_source('adisalib', './src/adisalib.py')

setup(name='adisalib',
      license='GNU GENERAL PUBLIC LICENSE Version 3',
      version=adisalib.__version__ ,
      install_requires=['numpy', ],
      description='ICAO Standard Atmosphere (ISA) - functions and routines',
      long_description=
      """Some functions and constants for calculations in the
      ICAO Standard Atmosphere (ISA) from surface to 32000 gpm.""",
      author='Dietmar Thaler',
      author_email='info.thaler@foehnwall.at',
      platforms='linux',
      url='http://www.foehnwall.at/adisalib.html',
      package_dir={'': 'src'},
      py_modules=['adisalib'],
     )
